#!/bin/sh

# start mysql
echo "Creating database"
mysqld_safe --datadir=/app/data/mysql > /dev/null 2>&1 &

# wait for started
while [ ! -S /var/run/mysqld/mysqld.sock ]
do
    sleep 2
done

# create the database
mysql -uroot -ppassword -e "CREATE DATABASE wordpress;"

# Shutdown MySQL
mysqladmin -uroot -ppassword shutdown

cp /app/configs/wp-config.php /app/data/wp-config.php

